# Class CalendarInfo

java.lang.Object
com.codename1.calendar.CalendarInfo

public class CalendarInfo extends Object
A calendar or task-list collection exposed by a source.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CalendarInfo.ContentType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccountId()`
  `CalendarCapabilities`
  `getCapabilities()`
  `int`
  `getColor()`
  `CalendarInfo.ContentType`
  `getContentType()`
  `String`
  `getId()`
  `String`
  `getName()`
  `String`
  `getOwner()`
  `Map<String,String>`
  `getProviderData()`
  `String`
  `getSourceId()`
  `ZoneId`
  `getTimeZone()`
  `boolean`
  `isPrimary()`
  `boolean`
  `isReadOnly()`
  `CalendarInfo`
  `putProviderData(String k, String v)`
  `CalendarInfo`
  `setAccountId(String v)`
  `CalendarInfo`
  `setCapabilities(CalendarCapabilities v)`
  `CalendarInfo`
  `setColor(int v)`
  `CalendarInfo`
  `setContentType(CalendarInfo.ContentType v)`
  `CalendarInfo`
  `setId(String v)`
  `CalendarInfo`
  `setName(String v)`
  `CalendarInfo`
  `setOwner(String v)`
  `CalendarInfo`
  `setPrimary(boolean v)`
  `CalendarInfo`
  `setReadOnly(boolean v)`
  `CalendarInfo`
  `setSourceId(String v)`
  `CalendarInfo`
  `setTimeZone(ZoneId v)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalendarInfo

    public CalendarInfo()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public CalendarInfo setId(String v)

  - ### getSourceId

    public String getSourceId()

  - ### setSourceId

    public CalendarInfo setSourceId(String v)

  - ### getAccountId

    public String getAccountId()

  - ### setAccountId

    public CalendarInfo setAccountId(String v)

  - ### getName

    public String getName()

  - ### setName

    public CalendarInfo setName(String v)

  - ### getOwner

    public String getOwner()

  - ### setOwner

    public CalendarInfo setOwner(String v)

  - ### getTimeZone

    public ZoneId getTimeZone()

  - ### setTimeZone

    public CalendarInfo setTimeZone(ZoneId v)

  - ### getColor

    public int getColor()

  - ### setColor

    public CalendarInfo setColor(int v)

  - ### isPrimary

    public boolean isPrimary()

  - ### setPrimary

    public CalendarInfo setPrimary(boolean v)

  - ### isReadOnly

    public boolean isReadOnly()

  - ### setReadOnly

    public CalendarInfo setReadOnly(boolean v)

  - ### getContentType

    public CalendarInfo.ContentType getContentType()

  - ### setContentType

    public CalendarInfo setContentType(CalendarInfo.ContentType v)

  - ### getCapabilities

    public CalendarCapabilities getCapabilities()

  - ### setCapabilities

    public CalendarInfo setCapabilities(CalendarCapabilities v)

  - ### putProviderData

    public CalendarInfo putProviderData(String k, String v)

  - ### getProviderData

    public Map<String,String> getProviderData()